org.icefaces.ace.component.datatable

## Interface IDataTable

- All Known Implementing Classes:
    DataTable, DataTableBase

      public interface IDataTable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getCachedGlobalFilter()`
    `java.lang.String` | `getCaption()`
    `java.util.List` | `getColumnOrdering()`
    `java.lang.String` | `getCurrentPageReportTemplate()`
    `java.lang.String` | `getEmptyMessage()`
    `java.util.List` | `getFilteredData()`
    `java.lang.String` | `getFilterEvent()`
    `javax.el.MethodExpression` | `getFilterListener()`
    `java.lang.String` | `getFilterValue()`
    `java.lang.Integer` | `getForcedUpdateCounter()`
    `java.util.List` | `getHeaderColumnOrdering()`
    `java.lang.Integer` | `getHeight()`
    `java.lang.Long` | `getLastReordering()`
    `int` | `getPage()`
    `java.lang.Integer` | `getPageCount()`
    `java.lang.String` | `getPaginatorPosition()`
    `java.lang.String` | `getPaginatorTemplate()`
    `java.lang.String` | `getRowIndexVar()`
    `int` | `getRows()`
    `javax.el.MethodExpression` | `getRowSelectListener()`
    `java.lang.String` | `getRowsPerPageTemplate()`
    `java.lang.String` | `getRowStateVar()`
    `java.lang.String` | `getRowStyleClass()`
    `javax.el.MethodExpression` | `getRowUnselectListener()`
    `java.lang.Integer` | `getScrollHeight()`
    `java.lang.String` | `getScrollWidthIE7()`
    `java.lang.String` | `getSelectionMode()`
    `RowStateMap` | `getStateMap()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.Integer` | `getTabIndex()`
    `java.lang.String` | `getTableConfigPanel()`
    `java.lang.Integer` | `getValueHashCode()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAllowTableResizing()`
    `java.lang.Boolean` | `isAlwaysExecuteContents()`
    `java.lang.Boolean` | `isApplyingFilters()`
    `java.lang.Boolean` | `isApplyingSorts()`
    `boolean` | `isClickableHeaderSorting()`
    `boolean` | `isColumnPinning()`
    `boolean` | `isColumnPinningControlsInHeader()`
    `boolean` | `isColumnsInheritProperties()`
    `boolean` | `isConstantRefilter()`
    `boolean` | `isDisabled()`
    `boolean` | `isDoubleClickSelect()`
    `boolean` | `isGroupedFilterResults()`
    `java.lang.Boolean` | `isHiddenScrollableSizing()`
    `boolean` | `isLazy()`
    `boolean` | `isLiveScroll()`
    `boolean` | `isPaginator()`
    `boolean` | `isPaginatorAlwaysVisible()`
    `boolean` | `isRenderRowTabindex()`
    `boolean` | `isReorderableColumns()`
    `boolean` | `isResizableColumns()`
    `boolean` | `isScrollable()`
    `boolean` | `isSingleSort()`
    `java.lang.Boolean` | `isStaticHeaders()`
    `java.lang.Boolean` | `isToggleOnInvalidEdit()`
    `void` | `setAllowTableResizing(boolean allowTableResizing)`
    `void` | `setAlwaysExecuteContents(java.lang.Boolean alwaysExecuteContents)`
    `void` | `setApplyingFilters(java.lang.Boolean applyingFilters)`
    `void` | `setApplyingSorts(java.lang.Boolean applyingSorts)`
    `void` | `setCachedGlobalFilter(java.lang.Object cachedGlobalFilter)`
    `void` | `setCaption(java.lang.String caption)`
    `void` | `setClickableHeaderSorting(boolean clickableHeaderSorting)`
    `void` | `setColumnOrdering(java.util.List columnOrdering)`
    `void` | `setColumnPinning(boolean columnPinning)`
    `void` | `setColumnPinningControlsInHeader(boolean columnPinningControlsInHeader)`
    `void` | `setColumnsInheritProperties(boolean columnsInheritProperties)`
    `void` | `setConstantRefilter(boolean constantRefilter)`
    `void` | `setCurrentPageReportTemplate(java.lang.String currentPageReportTemplate)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDoubleClickSelect(boolean doubleClickSelect)`
    `void` | `setEmptyMessage(java.lang.String emptyMessage)`
    `void` | `setFilteredData(java.util.List filteredData)`
    `void` | `setFilterEvent(java.lang.String filterEvent)`
    `void` | `setFilterListener(javax.el.MethodExpression filterListener)`
    `void` | `setFilterValue(java.lang.String filterValue)`
    `void` | `setForcedUpdateCounter(java.lang.Integer forcedUpdateCounter)`
    `void` | `setGroupedFilterResults(boolean groupedFilterResults)`
    `void` | `setHeaderColumnOrdering(java.util.List headerColumnOrdering)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setHiddenScrollableSizing(java.lang.Boolean hiddenScrollableSizing)`
    `void` | `setLastReordering(java.lang.Long lastReordering)`
    `void` | `setLazy(boolean lazy)`
    `void` | `setLiveScroll(boolean liveScroll)`
    `void` | `setPage(int page)`
    `void` | `setPageCount(java.lang.Integer pageCount)`
    `void` | `setPaginator(boolean paginator)`
    `void` | `setPaginatorAlwaysVisible(boolean paginatorAlwaysVisible)`
    `void` | `setPaginatorPosition(java.lang.String paginatorPosition)`
    `void` | `setPaginatorTemplate(java.lang.String paginatorTemplate)`
    `void` | `setRenderRowTabindex(boolean renderRowTabindex)`
    `void` | `setReorderableColumns(boolean reorderableColumns)`
    `void` | `setResizableColumns(boolean resizableColumns)`
    `void` | `setRowIndexVar(java.lang.String rowIndexVar)`
    `void` | `setRows(int rows)`
    `void` | `setRowSelectListener(javax.el.MethodExpression rowSelectListener)`
    `void` | `setRowsPerPageTemplate(java.lang.String rowsPerPageTemplate)`
    `void` | `setRowStateVar(java.lang.String rowStateVar)`
    `void` | `setRowStyleClass(java.lang.String rowStyleClass)`
    `void` | `setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)`
    `void` | `setScrollable(boolean scrollable)`
    `void` | `setScrollHeight(java.lang.Integer scrollHeight)`
    `void` | `setScrollWidthIE7(java.lang.String scrollWidthIE7)`
    `void` | `setSelectionMode(java.lang.String selectionMode)`
    `void` | `setSingleSort(boolean singleSort)`
    `void` | `setStateMap(RowStateMap stateMap)`
    `void` | `setStaticHeaders(java.lang.Boolean staticHeaders)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setTabIndex(java.lang.Integer tabIndex)`
    `void` | `setTableConfigPanel(java.lang.String tableConfigPanel)`
    `void` | `setToggleOnInvalidEdit(java.lang.Boolean toggleOnInvalidEdit)`
    `void` | `setValueHashCode(java.lang.Integer valueHashCode)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAllowTableResizing

          void setAllowTableResizing(boolean allowTableResizing)

    - #### isAllowTableResizing

          boolean isAllowTableResizing()

    - #### setAlwaysExecuteContents

          void setAlwaysExecuteContents(java.lang.Boolean alwaysExecuteContents)

    - #### isAlwaysExecuteContents

          java.lang.Boolean isAlwaysExecuteContents()

    - #### setCaption

          void setCaption(java.lang.String caption)

    - #### getCaption

          java.lang.String getCaption()

    - #### setClickableHeaderSorting

          void setClickableHeaderSorting(boolean clickableHeaderSorting)

    - #### isClickableHeaderSorting

          boolean isClickableHeaderSorting()

    - #### setColumnOrdering

          void setColumnOrdering(java.util.List columnOrdering)

    - #### getColumnOrdering

          java.util.List getColumnOrdering()

    - #### setColumnPinning

          void setColumnPinning(boolean columnPinning)

    - #### isColumnPinning

          boolean isColumnPinning()

    - #### setColumnPinningControlsInHeader

          void setColumnPinningControlsInHeader(boolean columnPinningControlsInHeader)

    - #### isColumnPinningControlsInHeader

          boolean isColumnPinningControlsInHeader()

    - #### setColumnsInheritProperties

          void setColumnsInheritProperties(boolean columnsInheritProperties)

    - #### isColumnsInheritProperties

          boolean isColumnsInheritProperties()

    - #### setConstantRefilter

          void setConstantRefilter(boolean constantRefilter)

    - #### isConstantRefilter

          boolean isConstantRefilter()

    - #### setCurrentPageReportTemplate

          void setCurrentPageReportTemplate(java.lang.String currentPageReportTemplate)

    - #### getCurrentPageReportTemplate

          java.lang.String getCurrentPageReportTemplate()

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setDoubleClickSelect

          void setDoubleClickSelect(boolean doubleClickSelect)

    - #### isDoubleClickSelect

          boolean isDoubleClickSelect()

    - #### setEmptyMessage

          void setEmptyMessage(java.lang.String emptyMessage)

    - #### getEmptyMessage

          java.lang.String getEmptyMessage()

    - #### setFilterEvent

          void setFilterEvent(java.lang.String filterEvent)

    - #### getFilterEvent

          java.lang.String getFilterEvent()

    - #### setFilterListener

          void setFilterListener(javax.el.MethodExpression filterListener)

    - #### getFilterListener

          javax.el.MethodExpression getFilterListener()

    - #### setFilterValue

          void setFilterValue(java.lang.String filterValue)

    - #### getFilterValue

          java.lang.String getFilterValue()

    - #### setGroupedFilterResults

          void setGroupedFilterResults(boolean groupedFilterResults)

    - #### isGroupedFilterResults

          boolean isGroupedFilterResults()

    - #### setHeaderColumnOrdering

          void setHeaderColumnOrdering(java.util.List headerColumnOrdering)

    - #### getHeaderColumnOrdering

          java.util.List getHeaderColumnOrdering()

    - #### setHeight

          void setHeight(java.lang.Integer height)

    - #### getHeight

          java.lang.Integer getHeight()

    - #### setHiddenScrollableSizing

          void setHiddenScrollableSizing(java.lang.Boolean hiddenScrollableSizing)

    - #### isHiddenScrollableSizing

          java.lang.Boolean isHiddenScrollableSizing()

    - #### setLazy

          void setLazy(boolean lazy)

    - #### isLazy

          boolean isLazy()

    - #### setLiveScroll

          void setLiveScroll(boolean liveScroll)

    - #### isLiveScroll

          boolean isLiveScroll()

    - #### setPage

          void setPage(int page)

    - #### getPage

          int getPage()

    - #### setPageCount

          void setPageCount(java.lang.Integer pageCount)

    - #### getPageCount

          java.lang.Integer getPageCount()

    - #### setPaginator

          void setPaginator(boolean paginator)

    - #### isPaginator

          boolean isPaginator()

    - #### setPaginatorAlwaysVisible

          void setPaginatorAlwaysVisible(boolean paginatorAlwaysVisible)

    - #### isPaginatorAlwaysVisible

          boolean isPaginatorAlwaysVisible()

    - #### setPaginatorPosition

          void setPaginatorPosition(java.lang.String paginatorPosition)

    - #### getPaginatorPosition

          java.lang.String getPaginatorPosition()

    - #### setPaginatorTemplate

          void setPaginatorTemplate(java.lang.String paginatorTemplate)

    - #### getPaginatorTemplate

          java.lang.String getPaginatorTemplate()

    - #### setRenderRowTabindex

          void setRenderRowTabindex(boolean renderRowTabindex)

    - #### isRenderRowTabindex

          boolean isRenderRowTabindex()

    - #### setReorderableColumns

          void setReorderableColumns(boolean reorderableColumns)

    - #### isReorderableColumns

          boolean isReorderableColumns()

    - #### setResizableColumns

          void setResizableColumns(boolean resizableColumns)

    - #### isResizableColumns

          boolean isResizableColumns()

    - #### setRowIndexVar

          void setRowIndexVar(java.lang.String rowIndexVar)

    - #### getRowIndexVar

          java.lang.String getRowIndexVar()

    - #### setRowSelectListener

          void setRowSelectListener(javax.el.MethodExpression rowSelectListener)

    - #### getRowSelectListener

          javax.el.MethodExpression getRowSelectListener()

    - #### setRowStateVar

          void setRowStateVar(java.lang.String rowStateVar)

    - #### getRowStateVar

          java.lang.String getRowStateVar()

    - #### setRowStyleClass

          void setRowStyleClass(java.lang.String rowStyleClass)

    - #### getRowStyleClass

          java.lang.String getRowStyleClass()

    - #### setRowUnselectListener

          void setRowUnselectListener(javax.el.MethodExpression rowUnselectListener)

    - #### getRowUnselectListener

          javax.el.MethodExpression getRowUnselectListener()

    - #### setRows

          void setRows(int rows)

    - #### getRows

          int getRows()

    - #### setRowsPerPageTemplate

          void setRowsPerPageTemplate(java.lang.String rowsPerPageTemplate)

    - #### getRowsPerPageTemplate

          java.lang.String getRowsPerPageTemplate()

    - #### setScrollHeight

          void setScrollHeight(java.lang.Integer scrollHeight)

    - #### getScrollHeight

          java.lang.Integer getScrollHeight()

    - #### setScrollWidthIE7

          void setScrollWidthIE7(java.lang.String scrollWidthIE7)

    - #### getScrollWidthIE7

          java.lang.String getScrollWidthIE7()

    - #### setScrollable

          void setScrollable(boolean scrollable)

    - #### isScrollable

          boolean isScrollable()

    - #### setSelectionMode

          void setSelectionMode(java.lang.String selectionMode)

    - #### getSelectionMode

          java.lang.String getSelectionMode()

    - #### setSingleSort

          void setSingleSort(boolean singleSort)

    - #### isSingleSort

          boolean isSingleSort()

    - #### setStateMap

          void setStateMap(RowStateMap stateMap)

    - #### getStateMap

          RowStateMap getStateMap()

    - #### setStaticHeaders

          void setStaticHeaders(java.lang.Boolean staticHeaders)

    - #### isStaticHeaders

          java.lang.Boolean isStaticHeaders()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setTabIndex

          void setTabIndex(java.lang.Integer tabIndex)

    - #### getTabIndex

          java.lang.Integer getTabIndex()

    - #### setToggleOnInvalidEdit

          void setToggleOnInvalidEdit(java.lang.Boolean toggleOnInvalidEdit)

    - #### isToggleOnInvalidEdit

          java.lang.Boolean isToggleOnInvalidEdit()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setApplyingFilters

          void setApplyingFilters(java.lang.Boolean applyingFilters)

    - #### isApplyingFilters

          java.lang.Boolean isApplyingFilters()

    - #### setApplyingSorts

          void setApplyingSorts(java.lang.Boolean applyingSorts)

    - #### isApplyingSorts

          java.lang.Boolean isApplyingSorts()

    - #### setCachedGlobalFilter

          void setCachedGlobalFilter(java.lang.Object cachedGlobalFilter)

    - #### getCachedGlobalFilter

          java.lang.Object getCachedGlobalFilter()

    - #### setFilteredData

          void setFilteredData(java.util.List filteredData)

    - #### getFilteredData

          java.util.List getFilteredData()

    - #### setForcedUpdateCounter

          void setForcedUpdateCounter(java.lang.Integer forcedUpdateCounter)

    - #### getForcedUpdateCounter

          java.lang.Integer getForcedUpdateCounter()

    - #### setLastReordering

          void setLastReordering(java.lang.Long lastReordering)

    - #### getLastReordering

          java.lang.Long getLastReordering()

    - #### setTableConfigPanel

          void setTableConfigPanel(java.lang.String tableConfigPanel)

    - #### getTableConfigPanel

          java.lang.String getTableConfigPanel()

    - #### setValueHashCode

          void setValueHashCode(java.lang.Integer valueHashCode)

    - #### getValueHashCode

          java.lang.Integer getValueHashCode()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.